# AEE input generation for ccsd t2 equations
import aee
amp1=aee.Term(1.0,1.0,["T1"])
amp2=aee.Term(1.0,4.0,["T2"])
tccsd=aee.Term.add(amp1,amp2)
tccsd.show()
one=aee.Term(1.0,1.0,["F"])
two=aee.Term(1.0,4.0,["V"])
h=aee.Term.add(one,two)
h.show()
ccsd=aee.Sum.bch(h,tccsd,5)
ccsd.show()
doub=aee.Term(1.0,1.0,["bra2"])
doubles=aee.Sum([doub])
ccsdd=aee.Sum.multiply(doubles,ccsd)
ccsdd.show()
out=aee.Sum.addindicees(ccsdd)
out.show()
aee.Sum.writefullformula(out,"ccsd_t2_aee.out")


import oce
#alternative input file :
# ccsdd=oce.readfromfile("ccsd_t2.in")
ccsdd=oce.readfromfile("ccsd_t2_aee.out")
ccsd_t2a=oce.ListOperatorSequences()
ccsd_t2a.join(ccsdd.performfullcontraction())
ccsd_t2=oce.ListOperatorSequences()
ccsd_t2.join(ccsd_t2a.deletedisconnected().simplify())
ccsd_t2.writetofile("ccsd_t2_oce.out")


import tce
ccsd=tce.readfromfile("ccsd_t2_oce.out")
ccsd=ccsd.breakdown()
ccsd=ccsd.fullyfactorize()
ccsd.fortran77("ccsd_t2").writetofile("ccsd_t2_tce")
